libzypp 17.38.15

zypp::CachedPublicKeyData::Manip Struct Reference

Helper providing on demand a KeyManagerCtx to manip the cached keyring. More...

`#include <zypp-common/private/keyring_p.h>`

## Public Member Functions
| NON_COPYABLE_BUT_MOVE (Manip)
| Manip (CachedPublicKeyData &cache_r, Pathname keyring_r)
KeyManagerCtx & | keyManagerCtx ()

## Private Attributes
CachedPublicKeyData & | _cache
Pathname | _keyring
std::optional< KeyManagerCtx > | _context

## Detailed Description

Helper providing on demand a KeyManagerCtx to manip the cached keyring.

The 1st call to keyManagerCtx creates the KeyManagerCtx. Returning the context tags the cached data as dirty. Should be used to import/delete keys in a cache keyring.

Definition at line 44 of file keyring_p.h.

## Constructor & Destructor Documentation

## ◆ Manip()

zypp::CachedPublicKeyData::Manip::Manip | ( | CachedPublicKeyData & | cache_r,
|  | filesystem::Pathname | keyring_r )

Definition at line 46 of file keyring_p.cc.

## Member Function Documentation

## ◆ NON_COPYABLE_BUT_MOVE()

zypp::CachedPublicKeyData::Manip::NON_COPYABLE_BUT_MOVE | ( | Manip |  | ) |

## ◆ keyManagerCtx()

KeyManagerCtx & zypp::CachedPublicKeyData::Manip::keyManagerCtx | ( |  | ) |

Definition at line 51 of file keyring_p.cc.

## Member Data Documentation

## ◆ _cache

CachedPublicKeyData& zypp::CachedPublicKeyData::Manip::_cache
| private

Definition at line 50 of file keyring_p.h.

## ◆ _keyring

Pathname zypp::CachedPublicKeyData::Manip::_keyring
| private

Definition at line 51 of file keyring_p.h.

## ◆ _context

std::optional<KeyManagerCtx> zypp::CachedPublicKeyData::Manip::_context
| private

Definition at line 52 of file keyring_p.h.

The documentation for this struct was generated from the following files:

- zypp-common/private/keyring_p.h
- zypp-common/private/keyring_p.cc